# Uses of Interface
org.eclipse.gef.fx.anchors.IComputationStrategy

Packages that use IComputationStrategy
Package
Description
org.eclipse.gef.fx.anchors
This package provides a visual anchor abstraction ( `IAnchor`), a related abstract base implementation (`AbstractAnchor`), as well as concrete anchor implementations ( `StaticAnchor`, `DynamicAnchor`) to manage dynamic positioning of visuals in dependence of others.

## Uses of IComputationStrategy in org.eclipse.gef.fx.anchors

Classes in org.eclipse.gef.fx.anchors that implement IComputationStrategy
Modifier and Type
Class
Description
`class`
`ChopBoxStrategy`
A specific projection strategy that is based on a center-projection of the given reference point.
`class`
`OrthogonalProjectionStrategy`
An `IComputationStrategy` that computes anchor position by orthogonally projecting the respective anchored reference point to the outline of the anchorage reference geometry so that the respective point has minimal distance to the anchored reference point and resembles the same x- (vertical projection) or y-coordinate (horizontal projection).
`class`
`ProjectionStrategy`
An `IComputationStrategy` that computes anchor position by projecting the respective anchored reference point to the outline of the anchorage reference geometry so that the respective point has minimal distance to the anchored reference point.
Methods in org.eclipse.gef.fx.anchors that return IComputationStrategy
Modifier and Type
Method
Description
`IComputationStrategy`
DynamicAnchor.`getComputationStrategy()`
Returns the `IComputationStrategy` used by this `DynamicAnchor`.
Methods in org.eclipse.gef.fx.anchors with parameters of type IComputationStrategy
Modifier and Type
Method
Description
`void`
DynamicAnchor.`setComputationStrategy(IComputationStrategy computationStrategy)`
Sets the given `IComputationStrategy` to be used by this `IAnchor`.
Constructors in org.eclipse.gef.fx.anchors with parameters of type IComputationStrategy
Modifier
Constructor
Description
``
`DynamicAnchor(javafx.scene.Node anchorage, IComputationStrategy computationStrategy)`
Constructs a new `DynamicAnchor` for the given anchorage visual using the given `IComputationStrategy`.